%define rel              11
%define sourcename       check_ssl_cert
%define packagename      nagios-%{sourcename}
%define nagiospluginsdir %{_libdir}/nagios/plugins

Summary:   A Nagios plugin to check X.509 certificates
Name:      %{packagename}
Version:   1.9.1
Release:   %mkrel %rel
License:   GPLv3+
Group:     Networking/Other
URL:       https://trac.id.ethz.ch/projects/nagios_plugins/wiki/check_ssl_cert
Source:    https://trac.id.ethz.ch/projects/nagios_plugins/downloads/%{sourcename}-%{version}.tar.gz
BuildArch: noarch

%description
Checks an X.509 certificate:
 - checks if the server is running and delivers a valid certificate
 - checks if the CA matches a given pattern
 - checks the validity

%prep
%setup -q -n %{sourcename}-%{version}

%install
make DESTDIR=%{buildroot}%{nagiospluginsdir} MANDIR=%{buildroot}%{_mandir} install

%files
%doc AUTHORS ChangeLog NEWS README INSTALL TODO COPYING VERSION COPYRIGHT
%attr(0755, root, root) %{nagiospluginsdir}/check_ssl_cert
%{_mandir}/man1/%{sourcename}.1*



%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.9.1-11.mga10
+ Revision: 2197631
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.9.1-10.mga9
+ Revision: 1801974
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.9.1-9.mga8
+ Revision: 1492163
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.9.1-8.mga7
+ Revision: 1264645
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 1.9.1-7.mga6
+ Revision: 933128
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.9.1-6.mga5
+ Revision: 749650
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9.1-5.mga5
+ Revision: 682780
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.9.1-4.mga4
+ Revision: 508101
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.9.1-3.mga3
+ Revision: 360734
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun May 15 2011 pterjan <pterjan> 1.9.1-2.mga1
+ Revision: 98936
- Rebuild for fixed find-requires

* Thu Apr 21 2011 nanardon <nanardon> 1.9.1-1.mga1
+ Revision: 89382
- imported package nagios-check_ssl_cert

